
<style>
    .main-body {
        background-color: white;
        padding: 30px;
    }
</style>

{% for interval, value in config.template_args.hidden_inputs.items() %}
    <input type="hidden" value="{{ value }}" id="{{ interval }}">
{% endfor %}


<script type = "text/javascript" src = "/static/scripts/Tone.js"></script>
<script type = "text/javascript" src = "/static/scripts/tonejs-ui.js"></script>
<script type = "text/javascript" src = "/static/scripts/synthesis.js"></script>

<script>

    {% autoescape off %}
        var f0 = {% if config.js_vars.f0 is none %}null{% else %}{{ config.js_vars.f0 }}{% endif %};
        var sliders = {% if config.js_vars.sliders is none %}null{% else %}{{ config.js_vars.sliders }}{% endif %};
        var synth = '{{ config.js_vars.synth }}';
        var parametrization = '{{ config.js_vars.parametrization }}'
        var shepardize = '{{ config.js_vars.shepardize }}';
        var fixed_chord = {% if config.js_vars.fixed_chord is none %}null{% else %}{{ config.js_vars.fixed_chord }}{% endif %};
        shepardize = (shepardize == "True");
    {% endautoescape %}

    console.log('Chord page is loaded');
    var slider_data = process_sliders(sliders);
    lateralize = slider_data["num_of_laterals"]>0;

    if (!fixed_chord){
        var active_nodes = additive_synth_setter(slider_data["num_of_intervals"] + 1, shepardize, lateralize) //consistent only with a fixed number of intervals between trials
    } else {
        var active_nodes = additive_synth_setter(fixed_chord.length + 1, shepardize, lateralize)
    } 


    // Set the chord
    on_slider_event = function (event_type) {
        chord_list = create_chord_list(slider_data,fixed_chord)
        play_list(active_nodes, chord_list)
    };

    // on_slider_mouseup = function () {

    //     chord_list = create_chord_list(slider_data,fixed_chord)
    //     play_list(active_nodes, chord_list)
        
    // };

    // slider.addEventListener("mouseup", on_slider_mouseup);
</script>



